
services:
  wud:
    image: fmartinou/whats-up-docker:latest
    container_name: wud
    user: "1000:994"
    cpus: 1.0
    mem_limit: "1024m"
    mem_reservation: "256m"
    ports:
      - "3001:3000"
    networks:
      - wud_internal
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - /docker/management/wud/etc:/etc/wud
      - /docker/management/wud/var:/var/lib/wud
      - /docker/management/wud-db:/var/lib/wud/db
    environment:
      - TZ=America/Edmonton
      - WUD_WATCHER_LOCAL_SOCKET=/var/run/docker.sock
      - WUD_AUTOUPDATE=${WUD_AUTOUPDATE}
      - WUD_WATCHER_LOCAL_WATCHBYDEFAULT=${WUD_WATCH}
      - WUD_REGISTRIES_LSCR_ENABLED=${WUD_LSCR}
      - WUD_REGISTRY_LSCR_USERNAME=${WUD_LSCR_USER}
      - WUD_REGISTRY_LSCR_TOKEN=${GITHUB_PAT_TOKEN}
      - WUD_TRIGGER_SMTP_EMAIL_FROM=${WUD_SMTP_FROM}
      - WUD_TRIGGER_SMTP_EMAIL_TO=${WUD_SMTP_TO}
      - WUD_TRIGGER_SMTP_EMAIL_HOST=${WUD_SMTP_HOST}
      - WUD_TRIGGER_SMTP_EMAIL_PORT=${WUD_SMTP_PORT}
      - WUD_TRIGGER_SMTP_EMAIL_TLS_ENABLED=${WUD_SMTP_TLS}
      - WUD_TRIGGER_SMTP_EMAIL_TLS_VERIFY=${WUD_SMTP_TLS_VER}
    restart: unless-stopped
